## unity-2d 3.8.4.1

=== CMakeLists.txt ===
project(unity-2d)
cmake_minimum_required(VERSION 2.8)

# Dirs
set(UNITY_2D_DIR share/unity-2d)
set(UNITY_DIR /usr/share/unity/)

configure_file(config.h.in config.h)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wall -std=c++0x")

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
find_package(X11 REQUIRED)
find_package(Gettext REQUIRED)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${X11_INCLUDE_DIR}
    )

# Tests
add_custom_target(check)

# Source
add_subdirectory(libunity-2d-private)
add_subdirectory(launcher)
add_subdirectory(panel)
add_subdirectory(places)
add_subdirectory(spread)
add_subdirectory(po)

=== launcher/CMakeLists.txt ===
project(unity-2d-launcher)

include_directories(
    ${libunity-2d-private_SOURCE_DIR}/src
    )

# Source
add_subdirectory(UnityApplications)
add_subdirectory(app)
add_subdirectory(tests)

file(GLOB launcher_QML *.qml)

# Install
install(FILES ${launcher_QML} launchermenu.css
    DESTINATION ${UNITY_2D_DIR}/launcher
    )

install(DIRECTORY artwork
    DESTINATION ${UNITY_2D_DIR}/launcher
    )

=== libunity-2d-private/CMakeLists.txt ===
project(libunity-2d-private)

set(libunity-2d-private_SOVERSION 0)
set(libunity-2d-private_VERSION ${libunity-2d-private_SOVERSION}.0.0)

add_subdirectory(src)
add_subdirectory(Unity2d)
add_subdirectory(tests)

=== panel/CMakeLists.txt ===
project(unity-2d-panel)

# Source
include_directories(
    ${libunity-2d-private_SOURCE_DIR}/src
    )

add_subdirectory(applets)
add_subdirectory(app)
add_subdirectory(tests)

# Install
install(DIRECTORY artwork
    DESTINATION ${UNITY_2D_DIR}/panel
    )

=== places/CMakeLists.txt ===
project(unity-2d-places)

# Source
add_subdirectory(app)

file(GLOB places_QML *.qml *.js)

# Install
install(FILES ${places_QML}
    DESTINATION ${UNITY_2D_DIR}/places
    )

install(DIRECTORY artwork
    DESTINATION ${UNITY_2D_DIR}/places
    )

=== po/CMakeLists.txt ===
# This macro is based on the GETTEXT_CREATE_TRANSLATIONS from FindGettext.cmake
# but it does not modify the .po files at build time.
#
# It creates two main targets: msgfmt and msgmerge.
#
# - msgfmt turns .po files into .gmo files. msgfmt is added as a dependency to
#   the all target. The .gmo files are then installed at the right place.
#
# - msgmerge updates the .po files from the .pot file. It must be called
#   manually.
#
# Arguments: .pot file, then all .po files
macro(create_translation_targets _potFile)
    set(_gmoFiles)
    get_filename_component(_potBasename ${_potFile} NAME_WE)
    get_filename_component(_absPotFile ${_potFile} ABSOLUTE)

    add_custom_target(msgmerge)

    foreach(_currentPoFile ${ARGN})
        get_filename_component(_absFile ${_currentPoFile} ABSOLUTE)
        get_filename_component(_lang ${_absFile} NAME_WE)
        set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

        # Build a .gmo file from the current .po
        add_custom_command(
            OUTPUT ${_gmoFile}
            COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_absFile}
            DEPENDS ${_absFile}
            )
        set(_gmoFiles ${_gmoFiles} ${_gmoFile})

        # Extend the msgmerge target to merge the current .po
        add_custom_target(msgmerge-${_lang}
            COMMAND ${GETTEXT_MSGMERGE_EXECUTABLE} --quiet --update --backup=none -s ${_absFile} ${_absPotFile}
            DEPENDS ${_absPotFile} ${_absFile}
            )
        add_dependencies(msgmerge msgmerge-${_lang})

        # Install .gmo
        install(FILES ${_gmoFile} DESTINATION share/locale/${_lang}/LC_MESSAGES RENAME ${_potBasename}.mo)
    endforeach(_currentPoFile)

    # Create the msgfmt target, building all .gmo files
    add_custom_target(msgfmt ALL DEPENDS ${_gmoFiles})
endmacro(create_translation_targets)

file(GLOB PO_FILES *.po)

create_translation_targets(unity-2d.pot ${PO_FILES})

add_custom_target(update-unity-2d-pot
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-unity-2d-pot
    )

add_custom_target(update-po)
add_dependencies(update-po update-unity-2d-pot msgmerge)

=== spread/CMakeLists.txt ===
project(unity-2d-spread)

# Source
add_subdirectory(app)

file(GLOB spread_QML *.qml *.js)

# Install
install(FILES ${spread_QML}
    DESTINATION ${UNITY_2D_DIR}/spread
    )

=== launcher/UnityApplications/CMakeLists.txt ===
# Dependencies
pkg_check_modules(QTBAMF REQUIRED libqtbamf)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)
pkg_check_modules(QTDEE REQUIRED libqtdee)
pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)
pkg_check_modules(GLIB REQUIRED glib-2.0)
pkg_check_modules(GDK REQUIRED gdk-2.0)
pkg_check_modules(GIO REQUIRED gio-2.0)
pkg_check_modules(WNCK REQUIRED libwnck-1.0)
pkg_check_modules(STARTUPNOTIFICATION REQUIRED libstartup-notification-1.0)

# Sources
set(UnityApplications_SRCS
    iconimageprovider.cpp
    listaggregatormodel.cpp
    launcheritem.cpp
    launcherapplication.cpp
    launcherapplicationslist.cpp
    launcherapplicationslistdbus.cpp
    launcherdevice.cpp
    launcherdeviceslist.cpp
    placeentry.cpp
    place.cpp
    launcherplaceslist.cpp
    trash.cpp
    launchermenu.cpp
    webfavorite.cpp
    plugin.cpp
    workspaces.cpp
    )

set(UnityApplications_MOC_HDRS
    listaggregatormodel.h
    launcheritem.h
    launcherapplication.h
    launcherapplicationslist.h
    launcherapplicationslistdbus.h
    launcherdevice.h
    launcherdeviceslist.h
    placeentry.h
    place.h
    launcherplaceslist.h
    trash.h
    launchermenu.h
    webfavorite.h
    plugin.h
    workspaces.h
    )

qt4_wrap_cpp(UnityApplications_MOC_SRCS ${UnityApplications_MOC_HDRS})

# Build
add_definitions(-DWNCK_I_KNOW_THIS_IS_UNSTABLE -DSN_API_NOT_YET_FROZEN)

add_library(UnityApplications SHARED ${UnityApplications_SRCS} ${UnityApplications_MOC_SRCS})

set_target_properties(UnityApplications PROPERTIES
    SOVERSION 1
    VERSION 1.0.0
    )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QTBAMF_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${QTDEE_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${GDK_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${STARTUPNOTIFICATION_INCLUDE_DIRS}
    )

target_link_libraries(UnityApplications
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTNETWORK_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QTBAMF_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    ${QTDEE_LDFLAGS}
    ${DBUSMENUQT_LDFLAGS}
    ${GLIB_LDFLAGS}
    ${GDK_LDFLAGS}
    ${GIO_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${STARTUPNOTIFICATION_LDFLAGS}
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/UnityApplications)

install(TARGETS UnityApplications
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

=== launcher/app/CMakeLists.txt ===
# Dependencies
pkg_check_modules(GTK REQUIRED gtk+-2.0)
pkg_check_modules(X11 REQUIRED x11)
pkg_check_modules(GEIS REQUIRED libutouch-geis)
pkg_check_modules(WNCK REQUIRED libwnck)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)

# Sources
set(launcher_SRCS
    abstractvisibilitybehavior.cpp
    autohidebehavior.cpp
    forcevisiblebehavior.cpp
    visibilitycontroller.cpp
    intellihidebehavior.cpp
    launcherview.cpp
    launcherdbus.cpp
    gesturehandler.cpp
    )

set(launcher_MOC_HDRS
    abstractvisibilitybehavior.h
    autohidebehavior.h
    forcevisiblebehavior.h
    visibilitycontroller.h
    intellihidebehavior.h
    launcherview.h
    launcherdbus.h
    gesturehandler.h
    )

qt4_wrap_cpp(launcher_MOC_SRCS ${launcher_MOC_HDRS})

configure_file(unity-2d-launcher.service.in unity-2d-launcher.service)

qt4_add_dbus_adaptor(launcher_SRCS launcher.xml
    launcherdbus.h LauncherDBus
    )

# Build
add_library(uqlauncher ${launcher_SRCS} ${launcher_MOC_SRCS})
add_executable(unity-2d-launcher launcher.cpp)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GTK_INCLUDE_DIRS}
    ${X11_INCLUDE_DIRS}
    ${GEIS_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(uqlauncher
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${GTK_LDFLAGS}
    ${X11_LDFLAGS}
    ${GEIS_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    unity-2d-private
    )

target_link_libraries(unity-2d-launcher
    uqlauncher)

# Install
install(TARGETS unity-2d-launcher
    RUNTIME DESTINATION bin
    )

install(FILES unity-2d-launcher.desktop
    DESTINATION share/applications
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/unity-2d-launcher.service
    DESTINATION share/dbus-1/services
    )

=== libunity-2d-private/Unity2d/CMakeLists.txt ===
# Dependencies
pkg_check_modules(WNCK REQUIRED libwnck-1.0)
pkg_check_modules(QTBAMF REQUIRED libqtbamf)
pkg_check_modules(QTGCONF REQUIRED libqtgconf)

# Sources
set(unity-2d-private-qml_SRCS
    plugin.cpp
    qsortfilterproxymodelqml.cpp
    blendedimageprovider.cpp
    windowimageprovider.cpp
    windowinfo.cpp
    windowslist.cpp
    screeninfo.cpp
    cacheeffect.cpp
    workspacesinfo.cpp
    signalwaiter.cpp
    dropitem.cpp
    )

set(unity-2d-private-qml_MOC_HDRS
    plugin.h
    qsortfilterproxymodelqml.h
    windowinfo.h
    windowslist.h
    screeninfo.h
    cacheeffect.h
    workspacesinfo.h
    signalwaiter.h
    dropitem.h
    )

qt4_wrap_cpp(unity-2d-private-qml_MOC_SRCS ${unity-2d-private-qml_MOC_HDRS})

# Build
add_library(unity-2d-private-qml SHARED ${unity-2d-private-qml_SRCS} ${unity-2d-private-qml_MOC_SRCS})
add_definitions(-DWNCK_I_KNOW_THIS_IS_UNSTABLE)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${WNCK_INCLUDE_DIRS}
    ${QTBAMF_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-private-qml
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${WNCK_LDFLAGS}
    ${QTBAMF_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    unity-2d-private
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/Unity2d)

install(TARGETS unity-2d-private-qml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

=== libunity-2d-private/tests/CMakeLists.txt ===
# Common settings
configure_file(config-test.h.in config-test.h)

include_directories(
    ${libunity-2d-private_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    )

enable_testing()

set(LIBUNITY_2D_TEST_DIR ${libunity-2d-private_BINARY_DIR}/tests)

# Unit-tests
macro(libunity_2d_tests)
    set(_test_list "")
    foreach(_test ${ARGN})
        add_test(${_test} ${_test})
        add_executable(${_test} ${_test}.cpp ${_test}.moc)
        qt4_generate_moc(${_test}.cpp ${_test}.moc)
        target_link_libraries(${_test}
            ${QT_QTTEST_LIBRARIES}
            unity-2d-private
            )
        set(_test_list "${_test_list};${_test}")
    endforeach(_test)

    add_custom_target(libunity-2d-private_check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_list})
    add_dependencies(check libunity-2d-private_check)
endmacro(libunity_2d_tests)

libunity_2d_tests(
    keyboardmodifiersmonitortest
    paneltest
    unity2dtrtest
    )

add_custom_target(unity2dtr_po COMMAND
    mkdir -p ${CMAKE_CURRENT_BINARY_DIR}/locale/fr/LC_MESSAGES/
    && ${GETTEXT_MSGFMT_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/fr.po
        -o ${CMAKE_CURRENT_BINARY_DIR}/locale/fr/LC_MESSAGES/unity2dtrtest.mo
    )

add_dependencies(unity2dtrtest unity2dtr_po)

# gnomesessionclienttest
add_executable(gnomesessionclienttesthelper
    gnomesessionclienttesthelper.cpp
    )
target_link_libraries(gnomesessionclienttesthelper
    unity-2d-private
    )

configure_file(gnomesessionclienttesthelper.desktop.in
    gnomesessionclienttesthelper.desktop @ONLY)
configure_file(gnomesessionclienttest.sh.in
    gnomesessionclienttest.sh @ONLY)

add_test(NAME gnomesessionclient_check
    COMMAND /bin/sh gnomesessionclienttest.sh
    )
add_dependencies(libunity-2d-private_check gnomesessionclient_check)

# mouseareademo
add_executable(mouseareademo
    mouseareademo.cpp
    )
target_link_libraries(mouseareademo
    unity-2d-private
    )

=== panel/app/CMakeLists.txt ===
set(panel_SRCS
    main.cpp
    panelmanager.cpp
    unity2dstyle.cpp
    )

qt4_automoc(${panel_SRCS})
add_executable(unity-2d-panel ${panel_SRCS})

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${uqapplets_SOURCE_DIR}
    ${uqapplets_SOURCE_DIR}/common
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-panel
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    uqapplets
    unity-2d-private
    )

install(TARGETS unity-2d-panel
    RUNTIME DESTINATION bin
    )

install(FILES unity-2d-panel.desktop
    DESTINATION share/applications
    )

=== debian/changelog ===
unity-2d (3.8.4.1-0ubuntu1foshan1) natty; urgency=low

  * Super+P should not trigger unity search. (LP: #788044)
  * unity-2d should send XF86Display when Super+P. (LP: #788044)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Wed, 15 Jun 2011 16:33:35 +0800

unity-2d (3.8.4.1-0ubuntu1) natty; urgency=low

  * (LP: #766078) [spread] Windows and background are not positioned correctly

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Apr 2011 20:01:06 +0200

unity-2d (3.8.4-0ubuntu1) natty; urgency=low

  * New upstream bugfix release
    * (LP: #764690)  [launcher] launcher won't fully paint, corrupted view
    * (LP: #740387)  graphical corruption with multiple drivers and classic desktop
    * (LP: #753269)  [spread] crash when sending applications to other workspaces
    * (LP: #755599)  [dash] Exiting the dash causes launcher and panel to disappear
    * (LP: #760522)  [launcher] LibreOffice applications that are not favorite are all
      matched with LibreOffice Impress
    * (LP: #763116)  [launcher] Launcher doesn’t autohide after an application
      requested attention
    * (LP: #684471)  [dash] Default terminal PATH when opening it from the Applications
      menu is / instead of $HOME
    * (LP: #739454)  [launcher] nautilus windows are not matched with the home icon
    * (LP: #741160)  [launcher] Launching nautilus changes the favorite’s icon
    * (LP: #744970)  [launcher] item calling for attention needs to always be visible
    * (LP: #751450)  [launcher] icon for workspace switcher incorrect (back to old pink
      one)
    * (LP: #753382)  [launcher] Synaptic favorite turns into software-properties
    * (LP: #759189)  [dash] no singular/plural option for "See %1 more results"
    * (LP: #759776)  [launcher] Looses track of open windows for synaptic and empathy
    * (LP: #728927)  Unity Min,Max,Close buttons not available in Libreoffice
    * (LP: #759191)  [launcher] most keyboard shortcuts don't activate properly the
      first time/ever
    * (LP: #760001)  [launcher] Super key shouldn't activate dash while spread is
      (LP: #running
    * (LP: #760233)  [launcher] critical warning from wnck
    * (LP: #761661)  [spread] New WindowInfo objects should not be created while spread
      is inactive
    * (LP: #721121)  UIFe: Icon in Launcher should be home folder icon

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 19 Apr 2011 14:23:17 +0200

=== debian/control ===
Source: unity-2d
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7),
               cmake, bzr, libqt4-dev,
               libglib2.0-dev, libwnck-dev,
               libqtgconf-dev, libqtbamf-dev, libqtdee-dev, libdbusmenu-qt-dev,
               libx11-dev, libindicator-dev, libgtk2.0-dev, libutouch-geis-dev,
               libstartup-notification0-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/unity-2d/trunk

Package: unity-2d
Architecture: all
Depends: ${misc:Depends},
 unity-2d-launcher, unity-2d-panel, unity-2d-places, unity-2d-spread,
 metacity ( >= 2.30.3-0ubuntu5 ), gnome-session-bin
Recommends: indicator-application, indicator-datetime, 
 indicator-me, indicator-messages, indicator-session, indicator-sound, 
 gnome-settings-daemon, nautilus, policykit-1-gnome, gnome-power-manager, 
 appmenu-gtk, appmenu-qt,
 gtk2-engines-pixbuf
Provides: unity-2d-default-settings
Breaks: unity-2d-default-settings (<= 0.4)
Replaces: unity-2d-default-settings (<= 0.4)
Description: Unity interface for non-accelerated graphics cards
 The Unity 2D interface installs a fully usable 2D session and provides the 
 common configuration files and defaults. Installing this package will 
 offer a session called Unity 2D in your login manager.
 .
 Unity 2D is designed to run smoothly without any graphics acceleration.

Package: unity-2d-default-settings
Architecture: all
Depends: ${misc:Depends}, unity-2d
Description: Transitional package for upgrades to the new unity-2d package
 This is a transitional package to properly handle upgrading from natty
 pre-release installations of unity-2d and also for handling upgrades of 
 maverick installs from the unity-2d team PPA.

Package: libunity-2d-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libuqpanel0 ( <= 3.2.2-0ubuntu1 )
Replaces: libuqpanel0
Description: Unity 2D shared library
 This library is used to host common code used by several Unity 2D components
 It is only used internally, there is no use case for it outside of the unity-2d
 project.

Package: libunity-2d-private-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0 (= ${binary:Version})
Breaks: libuqpanel-dev ( <= 3.2.2-0ubuntu1 )
Replaces: libuqpanel-dev
Description: Unity 2D shared library - development files
 This library is used to host common code used by several Unity 2D components
 .
 This package contains the development header files.

Package: unity-2d-launcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-asset-pool, libqt4-svg, libunity-2d-private0
Recommends: unity-place-files, unity-place-applications
Description: Unity 2D Launcher
 The Unity 2D launcher displays a list of running applications as well as a
 list of favorite applications in a panel at the left of the screen.
 Notifications from individual applications are also highlighted in the
 launcher.
 
Package: unity-2d-panel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libunity-2d-private0
Description: Unity 2D Panel
 The Unity 2D panel displays a top panel containing the application menu and
 various indicators. It is part of Unity 2D and can not run  as a standalone
 application outside of the Unity 2D environment.

Package: unity-2d-places
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0, libqt4-svg
Description: Unity 2D Places
 The Unity 2D places overlay over the desktop to provide quick access to
 various categories of applications. It is part of Unity 2D and can not run
 as a standalone application outside of the Unity 2D environment.

Package: unity-2d-spread
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, unity-2d-launcher, libunity-2d-private0,
         libqt4-svg
Description: Unity 2D Spread
 The Unity 2D spread allows you to display a quick thumbnailed view of open
 windows so you can quickly and effectively choose which one you want to 
 switch to. It is part of Unity 2D and can not run  as a standalone application
 outside of the Unity 2D environment.

Package: libuqpanel0
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private0
Description: dummy transitional package for libuqpanel0
 This transitional package helps users transition to the
 libunity-2d-private0 package.  Once this package and its dependencies
 are installed you can safely remove it.

Package: libuqpanel-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libunity-2d-private-dev
Description: dummy transitional package for libuqpanel-dev
 This transitional package helps users transition to the
 libunity-2d-private-dev package.  Once this package and its dependencies
 are installed you can safely remove it.

=== debian/rules ===
#!/usr/bin/make -f

# shared libraries are in plugins directory
DEB_DH_MAKESHLIBS_ARGS :=-n

# we dont want to convert images to 8bit
export NO_PNG_PKG_MANGLE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

common-build-indep::
	$(MAKE) -C $(DEB_BUILDDIR) update-po

## unity-2d 4.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,17 +4,59 @@
 # Dirs
 set(UNITY_2D_DIR share/unity-2d)
 set(UNITY_DIR /usr/share/unity/)
+set(UNITY_2D_DATA_DIR "${CMAKE_SOURCE_DIR}/data")
 
 configure_file(config.h.in config.h)
 
 # Build flags
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Woverloaded-virtual -Wall -std=c++0x")
+# Flags to help detecting use of deprecated GTK APIs and direct access to object fields
+# https://live.gnome.org/GnomeGoals/RemoveDeprecatedSymbols/GTK+
+# https://live.gnome.org/GnomeGoals/UseGseal
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DGSEAL_ENABLE -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED")
+
+# gtk and unity-core (actually sigc++) do not like Qt defining macros named
+# "signals" and "slots"
+add_definitions(-DQT_NO_KEYWORDS)
 
 # Dependencies
 include(FindPkgConfig)
 find_package(Qt4 REQUIRED)
 find_package(X11 REQUIRED)
 find_package(Gettext REQUIRED)
+pkg_check_modules(GLIB REQUIRED glib-2.0)
+pkg_check_modules(GDK REQUIRED gdk-3.0)
+pkg_check_modules(GTK REQUIRED gtk+-3.0)
+pkg_check_modules(GIO REQUIRED gio-2.0)
+pkg_check_modules(WNCK REQUIRED libwnck-3.0)
+pkg_check_modules(QTGCONF REQUIRED libqtgconf)
+pkg_check_modules(NUXCORE REQUIRED nux-core-1.0)
+pkg_check_modules(PANGO REQUIRED pango)
+
+
+# GSettings schemas
+pkg_check_modules(GLIB REQUIRED glib-2.0)
+set (UNITY_2D_SCHEMAS "com.canonical.Unity2d.gschema.xml")
+set (UNITY_2D_GCONF_CONVERT "unity-2d.convert")
+set (GSETTINGS_DIR "${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas/")
+set (GCONF_CONVERT_DIR "${CMAKE_INSTALL_PREFIX}/share/GConf/gsettings")
+execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas  OUTPUT_VARIABLE GLIB_COMPILE_SCHEMAS OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+# Run the schemas validator and error if it fails
+execute_process (COMMAND ${GLIB_COMPILE_SCHEMAS} ${UNITY_2D_DATA_DIR} ERROR_VARIABLE _schemas_invalid OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+if (_schemas_invalid)
+  message (SEND_ERROR "Schemas validation error: ${_schemas_invalid}")
+endif (_schemas_invalid)
+
+# Actually install and recompile the schemas
+message (STATUS "GSettings schemas will be installed into ${GSETTINGS_DIR}")
+install (FILES ${UNITY_2D_DATA_DIR}/${UNITY_2D_SCHEMAS} DESTINATION ${GSETTINGS_DIR})
+install (CODE "message (STATUS \"Compiling GSettings schemas\")")
+install (CODE "execute_process (COMMAND ${GLIB_COMPILE_SCHEMAS} ${GSETTINGS_DIR})")
+
+# Install GConf to GSettings conversion file
+install (FILES ${UNITY_2D_DATA_DIR}/${UNITY_2D_GCONF_CONVERT} DESTINATION ${GCONF_CONVERT_DIR})
 
 include_directories(
     ${CMAKE_BINARY_DIR}
@@ -24,6 +66,7 @@
     ${QT_QTDECLARATIVE_INCLUDE_DIR}
     ${QT_QTXML_INCLUDE_DIR}
     ${QT_QTGUI_INCLUDE_DIR}
+    ${QT_QTOPENGL_INCLUDE_DIR}
     ${X11_INCLUDE_DIR}
     )

=== launcher/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,13 @@
     )
 
 # Source
-add_subdirectory(UnityApplications)
 add_subdirectory(app)
 add_subdirectory(tests)
 
 file(GLOB launcher_QML *.qml)
 
 # Install
-install(FILES ${launcher_QML} launchermenu.css
+install(FILES ${launcher_QML}
     DESTINATION ${UNITY_2D_DIR}/launcher
     )

=== libunity-2d-private/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,16 @@
 project(libunity-2d-private)
+
+# Dependencies
+pkg_check_modules(QTBAMF REQUIRED libqtbamf)
+pkg_check_modules(QTGCONF REQUIRED libqtgconf)
+pkg_check_modules(QTDEE REQUIRED libqtdee)
+pkg_check_modules(DBUSMENUQT REQUIRED dbusmenu-qt)
+pkg_check_modules(STARTUPNOTIFICATION REQUIRED libstartup-notification-1.0)
+pkg_check_modules(INDICATOR REQUIRED indicator3-0.4)
+pkg_check_modules(DCONFQT REQUIRED dconf-qt)
+pkg_check_modules(UNITYCORE REQUIRED unity-core-4.0)
+pkg_check_modules(DEE REQUIRED dee-1.0)
+pkg_check_modules(XINPUT REQUIRED xi)
 
 set(libunity-2d-private_SOVERSION 0)
 set(libunity-2d-private_VERSION ${libunity-2d-private_SOVERSION}.0.0)

=== panel/CMakeLists.txt ===
project(unity-2d-panel)

# Dependencies
pkg_check_modules(UNITYCORE REQUIRED unity-core-4.0)

# Source
include_directories(
    ${libunity-2d-private_SOURCE_DIR}/src
    )

add_subdirectory(applets)
add_subdirectory(app)
add_subdirectory(tests)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -46,12 +46,13 @@
 endmacro(create_translation_targets)
 
 file(GLOB PO_FILES *.po)
+set(GETTEXT_PACKAGE "unity-2d")
 
-create_translation_targets(unity-2d.pot ${PO_FILES})
+create_translation_targets(${GETTEXT_PACKAGE}.pot ${PO_FILES})
 
-add_custom_target(update-unity-2d-pot
+add_custom_target(${GETTEXT_PACKAGE}.pot
     COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-unity-2d-pot
     )
 
 add_custom_target(update-po)
-add_dependencies(update-po update-unity-2d-pot msgmerge)
+add_dependencies(update-po ${GETTEXT_PACKAGE}.pot msgmerge)

=== launcher/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,18 @@
 # Dependencies
-pkg_check_modules(GTK REQUIRED gtk+-2.0)
-pkg_check_modules(X11 REQUIRED x11)
 pkg_check_modules(GEIS REQUIRED libutouch-geis)
-pkg_check_modules(WNCK REQUIRED libwnck)
 pkg_check_modules(QTGCONF REQUIRED libqtgconf)
+pkg_check_modules(DCONFQT REQUIRED dconf-qt)
 
 # Sources
 set(launcher_SRCS
-    abstractvisibilitybehavior.cpp
-    autohidebehavior.cpp
-    forcevisiblebehavior.cpp
     visibilitycontroller.cpp
-    intellihidebehavior.cpp
     launcherview.cpp
     launcherdbus.cpp
     gesturehandler.cpp
     )
 
 set(launcher_MOC_HDRS
-    abstractvisibilitybehavior.h
-    autohidebehavior.h
-    forcevisiblebehavior.h
     visibilitycontroller.h
-    intellihidebehavior.h
     launcherview.h
     launcherdbus.h
     gesturehandler.h
@@ -46,8 +36,8 @@
     ${GTK_INCLUDE_DIRS}
     ${X11_INCLUDE_DIRS}
     ${GEIS_INCLUDE_DIRS}
-    ${WNCK_INCLUDE_DIRS}
     ${QTGCONF_INCLUDE_DIRS}
+    ${DCONFQT_INCLUDE_DIRS}
     ${libunity-2d-private_SOURCE_DIR}/src
     )
 
@@ -59,8 +49,8 @@
     ${GTK_LDFLAGS}
     ${X11_LDFLAGS}
     ${GEIS_LDFLAGS}
-    ${WNCK_LDFLAGS}
     ${QTGCONF_LDFLAGS}
+    ${DCONFQT_LDFLAGS}
     unity-2d-private
     )

=== launcher/tests/CMakeLists.txt ===
macro(launcher_tests)
    set(_test_list "")
    foreach(_test ${ARGN})
        add_test(${_test} ${_test})
        add_executable(${_test} ${_test}.cpp ${_test}.moc)
        qt4_generate_moc(${_test}.cpp ${_test}.moc)
        target_link_libraries(${_test}
            ${QT_QTTEST_LIBRARIES}
            uqlauncher
            )
        set(_test_list "${_test_list};${_test}")
    endforeach(_test)

    add_custom_target(launcher_check COMMAND ${CMAKE_CTEST_COMMAND} --verbose
        DEPENDS ${_test_list})
    add_dependencies(check launcher_check)
endmacro(launcher_tests)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}/../app
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_QTTEST_INCLUDE_DIR}
    ${QTGCONF_INCLUDE_DIRS}
    )

enable_testing()

launcher_tests(
    launcherviewtest
    )

=== libunity-2d-private/Unity2d/CMakeLists.txt ===
# Sources
set(unity-2d-private-qml_SRCS
    plugin.cpp
    )

set(unity-2d-private-qml_MOC_HDRS
    plugin.h
    )

file(GLOB unity-2d-private-qml_QML *.qml)

qt4_add_resources(unity-2d-private-qml_RC_SRCS launchermenu/launchermenu.qrc)
qt4_wrap_cpp(unity-2d-private-qml_MOC_SRCS ${unity-2d-private-qml_MOC_HDRS})

# Build
add_library(unity-2d-private-qml SHARED ${unity-2d-private-qml_SRCS} ${unity-2d-private-qml_MOC_SRCS} ${unity-2d-private-qml_RC_SRCS})
add_definitions(-DWNCK_I_KNOW_THIS_IS_UNSTABLE)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${WNCK_INCLUDE_DIRS}
    ${QTBAMF_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${QTDEE_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${GLIB_INCLUDE_DIRS}
    ${GDK_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${STARTUPNOTIFICATION_INCLUDE_DIRS}
    ${INDICATOR_INCLUDE_DIRS}
    ${X11_INCLUDE_DIR}
    ${DCONFQT_INCLUDE_DIRS}
    ${UNITYCORE_INCLUDE_DIRS}
    ${NUXCORE_INCLUDE_DIRS}
    ${DEE_INCLUDE_DIRS}
    ${libunity-2d-private_SOURCE_DIR}/src
    )

target_link_libraries(unity-2d-private-qml
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    unity-2d-private
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/Unity2d)

install(TARGETS unity-2d-private-qml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir ${unity-2d-private-qml_QML}
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES warty-final-ubuntu.jpg
    DESTINATION ${UNITY_2D_DIR}
    )

=== libunity-2d-private/src/CMakeLists.txt ===
set (LIB_NAME "unity-2d-private")

# Sources
set(lib${LIB_NAME}_SRCS
    bfb.cpp
    dashclient.cpp
    debug.cpp
    gconnector.cpp
    gimageutils.cpp
    gnomesessionclient.cpp
    keyboardmodifiersmonitor.cpp
    hotkeymonitor.cpp
    hotkey.cpp
    keymonitor.cpp
    launcherclient.cpp
    mousearea.cpp
    unity2dapplication.cpp
    unity2ddebug.cpp
    unity2dpanel.cpp
    unity2dtr.cpp
    unity2ddeclarativeview.cpp
    mimedata.cpp
    dragdropevent.cpp
    propertybinder.cpp
    abstractvisibilitybehavior.cpp
    autohidebehavior.cpp
    edgehitdetector.cpp
    forcevisiblebehavior.cpp
    intellihidebehavior.cpp
    giodefaultapplication.cpp
    qsortfilterproxymodelqml.cpp
    blendedimageprovider.cpp
    windowimageprovider.cpp
    windowinfo.cpp
    windowslist.cpp
    screeninfo.cpp
    cacheeffect.cpp
    workspacesinfo.cpp
    signalwaiter.cpp
    dragitem.cpp
    dragitemwithurl.cpp
    dropitem.cpp
    iconimageprovider.cpp
    listaggregatormodel.cpp
    launcheritem.cpp
    launcherapplication.cpp
    launcherapplicationslist.cpp
    launcherapplicationslistdbus.cpp
    launcherdevice.cpp
    launcherdeviceslist.cpp
    launcherutility.cpp
    placeentry.cpp
    place.cpp
    launcherplaceslist.cpp
    trash.cpp
    launchermenu.cpp
    webfavorite.cpp
    workspaces.cpp
    launcherdropitem.cpp
    iconutilities.cpp
    lenses.cpp
    lens.cpp
    filter.cpp
    filteroption.cpp
    ratingsfilter.cpp
    radiooptionfilter.cpp
    checkoptionfilter.cpp
    multirangefilter.cpp
    filters.cpp
    cairoutils.cpp
    indicatorentrywidget.cpp
    indicatorsmanager.cpp
    indicatorswidget.cpp
    panelapplet.cpp
    panelstyle.cpp
    percentcoder.cpp
    )

# Build
qt4_automoc(${libunity-2d-private_SRCS})

add_definitions(-DWNCK_I_KNOW_THIS_IS_UNSTABLE -DSN_API_NOT_YET_FROZEN)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${GTK_INCLUDE_DIRS}
    ${PANGO_INCLUDE_DIRS}
    ${WNCK_INCLUDE_DIRS}
    ${QTBAMF_INCLUDE_DIRS}
    ${QTGCONF_INCLUDE_DIRS}
    ${QTDEE_INCLUDE_DIRS}
    ${DBUSMENUQT_INCLUDE_DIRS}
    ${GDK_INCLUDE_DIRS}
    ${GIO_INCLUDE_DIRS}
    ${STARTUPNOTIFICATION_INCLUDE_DIRS}
    ${INDICATOR_INCLUDE_DIRS}
    ${X11_INCLUDE_DIR}
    ${DCONFQT_INCLUDE_DIRS}
    ${UNITYCORE_INCLUDE_DIRS}
    ${NUXCORE_INCLUDE_DIRS}
    ${DEE_INCLUDE_DIRS}
    ${XINPUT_INCLUDE_DIRS}
    )

add_library(${LIB_NAME} SHARED ${libunity-2d-private_SRCS} listmodelwrapper.h)
set_target_properties(${LIB_NAME} PROPERTIES
    VERSION ${libunity-2d-private_VERSION}
    SOVERSION ${libunity-2d-private_SOVERSION}
    )

target_link_libraries(${LIB_NAME}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTCORE_LIBRARIES}
    ${QT_QTDBUS_LIBRARIES}
    ${QT_QTDECLARATIVE_LIBRARIES}
    ${QT_QTOPENGL_LIBRARIES}
    ${QT_QTGUI_LIBRARIES}
    ${QT_QTNETWORK_LIBRARIES}
    ${X11_LIBRARIES}
    ${GLIB_LDFLAGS}
    ${GTK_LDFLAGS}
    ${PANGO_LDFLAGS}
    ${WNCK_LDFLAGS}
    ${GDK_LDFLAGS}
    ${GIO_LDFLAGS}
    ${X11_Xcomposite_LIB}
    ${QTBAMF_LDFLAGS}
    ${QTGCONF_LDFLAGS}
    ${QTDEE_LDFLAGS}
    ${DBUSMENUQT_LDFLAGS}
    ${STARTUPNOTIFICATION_LDFLAGS}
    ${INDICATOR_LDFLAGS}
    ${DCONFQT_LDFLAGS}
    ${UNITYCORE_LDFLAGS}
    ${NUXCORE_LDFLAGS}
    ${DEE_LDFLAGS}
    ${XINPUT_LDFLAGS}
    )

# Install
install(TARGETS ${LIB_NAME}
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin
    )

#
# PkgConfig file
#
set (PREFIXDIR "${CMAKE_INSTALL_PREFIX}")
set (EXEC_PREFIX "${CMAKE_INSTALL_PREFIX}")
set (LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
set (INCLUDEDIR "${CMAKE_INSTALL_PREFIX}/include")

install(DIRECTORY .
    DESTINATION include/${LIB_NAME}
    FILES_MATCHING PATTERN "*.h"
    PATTERN "*_p.h" EXCLUDE
    )

configure_file (${LIB_NAME}.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/${LIB_NAME}.pc DESTINATION
         ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)

=== libunity-2d-private/tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 
 include_directories(
     ${libunity-2d-private_SOURCE_DIR}/src
+    ${libunity-2d-private_SOURCE_DIR}/Unity2d
     ${CMAKE_CURRENT_BINARY_DIR}
+    ${GLIB_INCLUDE_DIRS}
     ${QT_QTTEST_INCLUDE_DIR}
     )
 
@@ -21,6 +23,7 @@
         target_link_libraries(${_test}
             ${QT_QTTEST_LIBRARIES}
             unity-2d-private
+            unity-2d-private-qml
             )
         set(_test_list "${_test_list};${_test}")
     endforeach(_test)
@@ -31,9 +34,13 @@
 endmacro(libunity_2d_tests)
 
 libunity_2d_tests(
+    gconnectortest
     keyboardmodifiersmonitortest
     paneltest
     unity2dtrtest
+    launchermenutest
+    listaggregatormodeltest
+    qsortfilterproxymodeltest
     )
 
 add_custom_target(unity2dtr_po COMMAND

=== panel/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
+pkg_check_modules(DCONFQT REQUIRED dconf-qt)
+
 set(panel_SRCS
     main.cpp
     panelmanager.cpp
-    unity2dstyle.cpp
     )
 
 qt4_automoc(${panel_SRCS})
@@ -10,15 +11,17 @@
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
-    ${uqapplets_SOURCE_DIR}
-    ${uqapplets_SOURCE_DIR}/common
+    ${GTK_INCLUDE_DIRS}
+    ${UNITYCORE_INCLUDE_DIRS}
+    ${DCONFQT_INCLUDE_DIRS}
     ${libunity-2d-private_SOURCE_DIR}/src
     )
 
 target_link_libraries(unity-2d-panel
     ${QT_QTGUI_LIBRARIES}
     ${QT_QTCORE_LIBRARIES}
-    uqapplets
+    ${GTK_LDFLAGS}
+    ${DCONFQT_LIBRARIES}
     unity-2d-private
     )

=== panel/applets/CMakeLists.txt ===
add_subdirectory(separator)
add_subdirectory(homebutton)
add_subdirectory(appname)
add_subdirectory(legacytray)
add_subdirectory(indicator)
add_subdirectory(appindicator)

=== debian/changelog ===
unity-2d (4.12.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      malloc(): smallbin double linked list corrupted: 0x08313b28 ***
      (LP: #845979)
    - unity-2d-panel assert failure: *** glibc detected *** unity-2d-panel:
      corrupted double-linked list: 0x094bc9b0 *** (LP: #852012)
    - unity-2d-panel crashed with SIGSEGV (LP: #843432)
    - Dragging downwards from the menu bar or double clicking on the menu bar
      should un-maximise the window (LP: #661049)
    - [dash] Dash is shown when pressing and releasing quickly super+KEY
      (LP: #801073)
    - [dash] Do search, scroll down using mouse, then maximise window. Layout
      breaks (LP: #817421)
    - F10 doesn't start keyboard navigation to the panel (LP: #839628)
    - [dash] Gridview moves to top when you open or close the "Show X more.."
      dropdown or the Filter pane (LP: #850036)
    - Impossible to navigate between panel menus when the mouse cursor is over
      the panel (LP: #834065)
    - [panel] F10 menu initially shown about half screen down (LP: #853766)
    - [dash] Filter pane doesn't clear its background when switching lenses
      (LP: #858590)
    - [shortcuts] <Super><Shift># should launch a new instance of #
      application (LP: #768006)
    - unity-2d-spread missing background images when path includes Unicode
      (LP: #855508)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 29 Sep 2011 16:58:34 +0200

unity-2d (4.10.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - unity-2d-panel segfault switching between single and dual screens
      (LP: #848944)
    - bad memory leak in unity-2d-panel (LP: #850320)
    - unity-2d-panel crashed with SIGABRT in raise() (LP: #848155)
    - [dash] Dash is shown when pressing and releasing quickly super+KEY
      (LP: #801073)
    - Wallpaper is loaded twice with different alignment by gnome-session and
      nautilus (Oneiric) (LP: #804435)
    - [panel] Maximized window title switches to Arial font (LP: #820274)
    - [panel] graphics corruption in top line of pixels (LP: #846335)
    - Unity-2d no panel after cancel logout due to not responding app
      (LP: #849379)
    - [panel] Indicators are duplicated if unity-panel-service restarts with
      multiple monitors connected (LP: #850000)
    - Unity doesn't mirror its interface for RTL locales. (LP: #654988)
    - [panel] F10 shortcut with dual screens shows menus on both screens
      (LP: #777995)
    - Background wallpaper briefly appears shifted horizontally by around 15
      pixels on startup (LP: #839610)
    - alt+f2 - can type, doing nothing (LP: #842413)
    - Pressing Alt+F2 sometimes opens the Dash instead of opening the 'Run
      command' screen (LP: #847486)
  * debian/control:
    - bump libxi-dev build-dep

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 22 Sep 2011 09:55:59 +0200

unity-2d (4.8.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - [window management] Alt tab does not switch to the desired application
      but instead set the urgency flag on the window (LP: #735205)
    - [dash] search field default text not cleared immediately when using
      chinese input method (LP: #745246)
    - [dash] Apps lens shows no result by default (LP: #834571)
    - unity-2d-panel crashed with SIGSEGV in
      IndicatorsWidget::onEntryRemoved() (LP: #846836)
    - [panel] graphics corruption in top line of pixels (LP: #846335)
    - Repeated indicators in unity-2d panel when second screen added
      (LP: #846441)
    - [dash] Lens navigation bar (buttons on lower edge of dash window) is
      accessible (LP: #826560)
    - [dash] Category filters is sorted according to their english names, even
      when another language is used (LP: #838023)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 15 Sep 2011 11:43:52 +0200

unity-2d (4.6.1-0ubuntu1) oneiric; urgency=low

  * Fix a segfault due to new unity service backend change.

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 09 Sep 2011 13:50:22 +0200

unity-2d (4.6.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - [dash] Apps lens shows no result by default (LP: #834571)
    - Metacity needs command line options to activate capture before unmap and
      compositing without effects (LP: #791205)
    - Bold fonts everywhere in the UI (dash, launcher, workspace switcher) but
      in the panel (LP: #808849)
    - the migration script needs to be run in unity-2d as well (LP: #819733)
    - [dash] "View photos" in the dash launches default image viewer instead
      of shotwell (LP: #822605)
    - Launcher tooltips sometimes leave holes in panel and windows
      (LP: #837277)
    - [dash] Search with non ascii characters fails (LP: #840010)
    - add a configuration key (dconf) to enable the opengl backend
      (LP: #809202)
    - [launcher] when pressing super key shortcuts numbering start at 2
      instead of 1 (LP: #830036)
    - [UIFe] Unity 2D should be using the same BFB icon as Unity (LP: #838829)
    - [launcher] trash icon needs to be the same as in Unity 3D (LP: #840025)
    - Pressing alt on maximized window does show menu but not window controls
      (LP: #836274)
    - [dash] DropShadow on "See X more results" can cause visual errors on
      scroll (LP: #843820)
    - Dash - In the App lens filters, users should only be able filter by
      'star' rating in one star increments (LP: #839759)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - UIFe: Panel - Indicators should be orderable regardless of their parent
      IndicatorObject (LP: #823061)
  * debian/control:
    - rebuild against current nux and unity (API change)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 08 Sep 2011 20:09:59 +0200

unity-2d (4.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release:


=== debian/control ===
Source: unity-2d
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: debhelper (>= 7.0.50~),
               dh-translations (>= 99),
               cmake,
               pkg-config,
               libqt4-dev,
               libqt4-opengl-dev,
               libglib2.0-dev,
               libwnck-3-dev,
               libpango1.0-dev,
               libqtgconf-dev,
               libdconf-qt-dev,
               libqtbamf-dev,
               libqtdee-dev (>= 0.2.3),
               libdbusmenu-qt-dev,
               libx11-dev,
               libindicator3-dev,
               libgtk-3-dev,
               libutouch-geis-dev,
               libstartup-notification0-dev,
               libunity-core-4.0-dev (>= 4.14.2),
               libnux-1.0-dev (>= 1.8),
               libxi-dev,
Standards-Version: 3.9.2
Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/unity-2d/oneiric

Package: unity-2d
Architecture: all
Depends: ${misc:Depends},
         unity-2d-launcher,
         unity-2d-panel,
         unity-2d-places,
         unity-2d-spread,
         metacity (>= 2.30.3-0ubuntu5)
Description: Unity interface for non-accelerated graphics cards
 The Unity 2D interface installs a fully usable 2D session and provides the 
 common configuration files and defaults. Installing this package will 
 offer a session called Unity 2D in your login manager.
 .
 Unity 2D is designed to run smoothly without any graphics acceleration.

Package: libunity-2d-private0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-common,
Description: Unity 2D shared library
 This library is used to host common code used by several Unity 2D components
 It is only used internally, there is no use case for it outside of the unity-2d
 project.

Package: libunity-2d-private-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libgtk-3-dev,
         libwnck-3-dev,
         libglib2.0-dev,
         libpango1.0-dev,
Description: Unity 2D shared library - development files
 This library is used to host common code used by several Unity 2D components
 It is only used internally, there is no use case for it outside of the unity-2d
 project.
 .
 This package contains the development header files.

Package: unity-2d-launcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-asset-pool,
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg,
Recommends: unity-lens-files,
            unity-lens-applications,
            unity-lens-music,
Description: Unity 2D Launcher
 The Unity 2D launcher displays a list of running applications as well as a
 list of favorite applications in a panel at the left of the screen.
 Notifications from individual applications are also highlighted in the
 launcher.
 
Package: unity-2d-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
Provides: indicator-renderer
Recommends: indicator-application,
            indicator-appmenu,
            indicator-datetime,
            indicator-messages,
            indicator-session,
            indicator-sound,
Description: Unity 2D Panel
 The Unity 2D panel displays a top panel containing the application menu and
 various indicators. It is part of Unity 2D and can not run  as a standalone
 application outside of the Unity 2D environment.

Package: unity-2d-places
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg
Description: Unity 2D Places
 The Unity 2D places overlay over the desktop to provide quick access to
 various categories of applications. It is part of Unity 2D and can not run
 as a standalone application outside of the Unity 2D environment.

Package: unity-2d-spread
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libunity-2d-private0 (= ${binary:Version}),
         libqt4-svg
Description: Unity 2D Spread
 The Unity 2D spread allows you to display a quick thumbnailed view of open
 windows so you can quickly and effectively choose which one you want to 
 switch to. It is part of Unity 2D and can not run  as a standalone application
 outside of the Unity 2D environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# we dont want to convert images to 8bit.
# Ref.: https://bugs.launchpad.net/unity-2d/+bug/809205
export NO_PNG_PKG_MANGLE=1

override_dh_install:
	find debian/tmp/usr/lib -name \*.*a -exec rm {} \;
	dh_install --fail-missing

override_dh_auto_test:
	echo "Tests not working right now as no X server"

%:
	dh $@ --with translations
